<?php

namespace ModulesGarden\Servers\OpenXchange\App\Http\Client;

use ModulesGarden\Servers\OpenXchange\App\UI\Client\EmailCatchAll\Pages\EmailCatchAllDescription;
use ModulesGarden\Servers\OpenXchange\Core\Helper;
use ModulesGarden\Servers\OpenXchange\Core\Http\AbstractClientController;
use ModulesGarden\Servers\OpenXchange\Core\UI\Traits\WhmcsParams;

class EmailCatchAll extends AbstractClientController
{
    use WhmcsParams;

    public function index()
    {
        if ($this->getWhmcsParamByKey('status') === 'Active')
        {
            return Helper\view()
                ->addElement(EmailCatchAllDescription::class)
                ->addElement(\ModulesGarden\Servers\OpenXchange\App\UI\Client\EmailCatchAll\Pages\EmailCatchAll::class);
        }
    }
}
